org.deidentifier.arx.gui.view.impl.menu

## Class EditorString

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.menu.EditorString

All Implemented Interfaces:
  IEditor<java.lang.String>

    public abstract class EditorString
    extends java.lang.Object
    implements IEditor<java.lang.String>

String editor

Author:
  prasser Fabian Prasser

### Constructor Summary

Constructors
Constructor and Description
`EditorString(org.eclipse.swt.widgets.Composite composite)` Creates a new instance

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createControl(org.eclipse.swt.widgets.Composite parent)` Creates an according control.
`java.lang.String` `getCategory()` Returns the category.
`org.eclipse.swt.widgets.Control` `getControl()` Returns the control
`java.lang.String` `getLabel()` Returns the label.
`void` `update()` Update.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.deidentifier.arx.gui.view.def.IEditor

`accepts, getValue, isDifferent, setValue`

### Constructor Detail

#### EditorString

    public EditorString(org.eclipse.swt.widgets.Composite composite)

Creates a new instance

Parameters:
  `composite` -

### Method Detail

#### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent)

Description copied from interface: `IEditor`
Creates an according control.

Specified by:
  `createControl` in interface `IEditor<java.lang.String>`

#### getCategory

    public java.lang.String getCategory()

Description copied from interface: `IEditor`
Returns the category.

Specified by:
  `getCategory` in interface `IEditor<java.lang.String>`
Returns:

#### getControl

    public org.eclipse.swt.widgets.Control getControl()

Returns the control

Returns:

#### getLabel

    public java.lang.String getLabel()

Description copied from interface: `IEditor`
Returns the label.

Specified by:
  `getLabel` in interface `IEditor<java.lang.String>`
Returns:

#### update

    public void update()

Update.